﻿
using Microsoft.VisualStudio.PlatformUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SampleProject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var masterDictionary = Application.Current.Resources.MergedDictionaries[0];

            foreach (var dictionary in masterDictionary.MergedDictionaries)
            {
                if (dictionary is CustomResourceDictionary themeDictionary)
                {
                    if (dictionary.Source.ToString() == "ExampleThemeLight.xaml")
                    {
                        dictionary.Source = themeDictionary.DarkThemeSource;
                    }
                    else
                    {
                        dictionary.Source = themeDictionary.LightThemeSource;
                    }
                }
            }  
        }
    }
}
