﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace SampleProject
{
    public class CustomResourceDictionary : ResourceDictionary
    {
        public Uri LightThemeSource { get; set; }
        public Uri DarkThemeSource { get; set; }

        public void UpdateThemeSource(string theme)
        {
            if (theme == "Light")
            {
                Source = LightThemeSource;
            }
            else
            {
                Source = DarkThemeSource;
            }
        }
    }
}
